package com.cloudcross.ssp.model;

import java.util.Date;

import com.cloudcross.ssp.web.widget.SelectorController.ISelector;

public class AdvAgent implements ISelector{
	private Long id;
	private Long operatorId;
	private String name;
	private String contacts;
	private String tel;
	private String mobile;
	private String homePage;
	private String address;
	private String zip;
	private String email;
	private String title;
	private Long adminId;
	private Integer status;
	private Date updated;
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public Long getOperatorId() {
		return operatorId;
	}
	public void setOperatorId(Long operatorId) {
		this.operatorId = operatorId;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getContacts() {
		return contacts;
	}
	public void setContacts(String contacts) {
		this.contacts = contacts;
	}
	public String getTel() {
		return tel;
	}
	public void setTel(String tel) {
		this.tel = tel;
	}
	public String getMobile() {
		return mobile;
	}
	public void setMobile(String mobile) {
		this.mobile = mobile;
	}
	public String getHomePage() {
		return homePage;
	}
	public void setHomePage(String homePage) {
		this.homePage = homePage;
	}
	public String getAddress() {
		return address;
	}
	public void setAddress(String address) {
		this.address = address;
	}
	public String getZip() {
		return zip;
	}
	public void setZip(String zip) {
		this.zip = zip;
	}
	public String getEmail() {
		return email;
	}
	public void setEmail(String email) {
		this.email = email;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public Long getAdminId() {
		return adminId;
	}
	public void setAdminId(Long admin_id) {
		this.adminId = admin_id;
	}
	public Integer getStatus() {
		return status;
	}
	public void setStatus(Integer status) {
		this.status = status;
	}
	public Date getUpdated() {
		return updated;
	}
	public void setUpdated(Date updated) {
		this.updated = updated;
	}
	@Override
	public String toString() {
		return "AdvAgent [id=" + id + ", name=" + name + ", regName=" + 
				 ", contacts=" + contacts + ", tel=" + tel + ", mobile="
				+ mobile + ", homePage=" + homePage + ", address=" + address
				+ ", zip=" + zip + ", email=" + email + ", title=" + title
				+ ", admin_id="  + ", status=" + status
				+ ", updated=" + updated + "]";
	}
	@Override
	public String getLabel() {
		// TODO Auto-generated method stub
		return this.name;
	}
	@Override
	public String getValue() {
		// TODO Auto-generated method stub
		return this.id.toString();
	}

}
